GET/projects/api/v3/reporting/financial/data.json

Get financial report data.

Returns aggregated financial data grouped by the requested dimensions.

Query Params

  • Name
    startDate
    Type
    string
    Description

    start date

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    orderBy
    Type
    string
    Description

    order by

  • Name
    endDate
    Type
    string
    Description

    end date

  • Name
    dateGranularity
    Type
    string
    Description

    date granularity (only when date in groupBy)

    Allowed values
    • daily
    • monthly
  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    userIds
    Type
    array[integer]
    Description

    filter by user ids

    Format
    Comma separated values
  • Name
    tasklistIds
    Type
    array[integer]
    Description

    filter by tasklist ids

    Format
    Comma separated values
  • Name
    tasklistBudgetIds
    Type
    array[integer]
    Description

    filter by tasklist budget ids

    Format
    Comma separated values
  • Name
    taskIds
    Type
    array[integer]
    Description

    filter by task ids

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    projectBudgetIds
    Type
    array[integer]
    Description

    filter by project budget ids

    Format
    Comma separated values
  • Name
    metrics
    Type
    array[string]
    Description

    selected fact metrics to include

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • companies
    • projects
    • users
    • tasks
    • tasklists
    • projectbudgets
    • tasklistbudgets
  • Name
    groupBy
    Type
    array[string]
    Description

    group by dimensions (ordered chain)

    Format
    Comma separated values
    Allowed values
    • company
    • project
    • projectbudget
    • tasklist
    • tasklistbudget
    • task
    • user
    • date
  • Name
    companyIds
    Type
    array[integer]
    Description

    filter by company ids

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    FinancialReportResponse is the top-level response for the financial report list endpoint.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    500
    Type
    object
    Schema
    Description
    500 Internal Server Error
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

FinancialReportResponse
{  "data": [    {      "dateGroup": "string",      "dimensions": {        "additionalProp": 0      },      "sources": {        "additionalProp": {}      }    }  ],  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",